Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jorphan.gui
Class JLabeledChoice

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.apache.jorphan.gui.JLabeledChoice

All Implemented Interfaces:
  Accessible, ImageObserver, JLabeledField, MenuContainer, Serializable

public class JLabeledChoice
extends JPanel
implements JLabeledField

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JLabeledChoice()` Default constructor, The label and the Text field are left empty.
`JLabeledChoice(String pLabel, boolean editable)`
`JLabeledChoice(String pLabel, String[] items)` Constructs a non-edittable combo-box with the label displaying the passed text.
`JLabeledChoice(String pLabel, String[] items, boolean editable)` Constructs a combo-box with the label displaying the passed text.

Method Summary
`void` | `addChangeListener(ChangeListener pChangeListener)` Adds a change listener, that will be notified when the text in the text field is changed.
`void` | `addValue(String item)`
`List` | `getComponentList()`
`String[]` | `getItems()`
`String` | `getLabel()` Returns the text of the label.
`int` | `getSelectedIndex()`
`Object[]` | `getSelectedItems()`
`String` | `getText()` Returns the text in the Text Field.
`String` | `getToolTipText()` Returns the tooltip string that has been set with setToolTipText
`void` | `removeChangeListener(ChangeListener pChangeListener)` Removes a change listener.
`void` | `setEditable(boolean editable)`
`void` | `setLabel(String pLabel)` Set the text displayed in the label.
`void` | `setSelectedIndex(int index)`
`void` | `setText(String pText)` Set the text displayed in the Text Field.
`void` | `setToolTipText(String text)` Registers the text to display in a tool tip.
`void` | `setValues(String[] items)`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JLabeledChoice

    public JLabeledChoice()

  Default constructor, The label and the Text field are left empty.

### JLabeledChoice

    public JLabeledChoice(String pLabel,
                          boolean editable)

### JLabeledChoice

    public JLabeledChoice(String pLabel,
                          String[] items)

  Constructs a non-edittable combo-box with the label displaying the passed text.

Parameters:
  `pLabel` - - the text to display in the label.
  `items` - - the items to display in the Combo box

### JLabeledChoice

    public JLabeledChoice(String pLabel,
                          String[] items,
                          boolean editable)

  Constructs a combo-box with the label displaying the passed text.

Parameters:
  `pLabel` - - the text to display in the label.
  `items` - - the items to display in the Combo box
  `editable` - - if true, then Add and Delete buttons are created.

Method Detail

### getComponentList

    public List getComponentList()

  Specified by:
    `getComponentList` in interface `JLabeledField`

### setEditable

    public void setEditable(boolean editable)

### addValue

    public void addValue(String item)

### setValues

    public void setValues(String[] items)

### setLabel

    public void setLabel(String pLabel)

  Set the text displayed in the label.

  Specified by:
    `setLabel` in interface `JLabeledField`
  Parameters:
    `pLabel` - The new label text.

### setText

    public void setText(String pText)

  Set the text displayed in the Text Field.

  Specified by:
    `setText` in interface `JLabeledField`
  Parameters:
    `pText` - The new text to display in the text field.

### setSelectedIndex

    public void setSelectedIndex(int index)

### getText

    public String getText()

  Returns the text in the Text Field.

  Specified by:
    `getText` in interface `JLabeledField`
  Returns:
    The text in the Text Field. Never returns null.

### getSelectedIndex

    public int getSelectedIndex()

### getSelectedItems

    public Object[] getSelectedItems()

### getItems

    public String[] getItems()

### getLabel

    public String getLabel()

  Returns the text of the label.

  Returns:
    The text of the label.

### setToolTipText

    public void setToolTipText(String text)

  Registers the text to display in a tool tip. The text displays when the cursor lingers over the component.

  Parameters:
    `text` - the string to display; if the text is null, the tool tip is turned off for this component

### getToolTipText

    public String getToolTipText()

  Returns the tooltip string that has been set with setToolTipText

  Returns:
    the text of the tool tip

### addChangeListener

    public void addChangeListener(ChangeListener pChangeListener)

  Adds a change listener, that will be notified when the text in the text field is changed. The ChangeEvent that will be passed to registered listeners will contain this object as the source, allowing the new text to be extracted using the `getText` method.

  Specified by:
    `addChangeListener` in interface `JLabeledField`
  Parameters:
    `pChangeListener` - The listener to add

### removeChangeListener

    public void removeChangeListener(ChangeListener pChangeListener)

  Removes a change listener.

  Parameters:
    `pChangeListener` - The change listener to remove.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.